#!/bin/bash
empty_dir=$(mktemp -d)

init_container () {
    local container_name="$1"
    local image="$2"
    buildah from -q -v "$empty_dir":/tmp:slave -v "$empty_dir":/var/cache:slave -v "$empty_dir":/var/tmp:slave -v "$empty_dir":/var/log:slave --pull=newer --name="$container_name" "${image}" >/dev/null
    buildah run --user 0:0 "$container_name" chmod -c 1777 /tmp /var/tmp
    buildah run --user 0:0 "$container_name" touch /tmp/test
}

commit(){
    buildah config -e - -l - -a - -p - "$1"
    buildah config -e PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin" "$1"
    buildah commit --rm -f oci --squash "$1" "$2"
}
